// deck.gl-community
// SPDX-License-Identifier: MIT
// Copyright (c) vis.gl contributors
import { createGraph } from "./create-graph.js";
import { log } from "../utils/log.js";
import { basicNodeParser } from "./node-parsers.js";
import { basicEdgeParser } from "./edge-parsers.js";
/** @deprecated Use loadSimpleJSONGraph */
export const JSONLoader = ({ json, nodeParser, edgeParser }) => loadSimpleJSONGraph(json, { nodeParser, edgeParser });
/** A loader for a simple graph format  */
export function loadSimpleJSONGraph(json, options) {
    const { nodeParser = basicNodeParser, edgeParser = basicEdgeParser } = options;
    const { name = 'default', nodes, edges } = json;
    if (!nodes) {
        log.error('Invalid graph: nodes is missing.')();
        return null;
    }
    const graph = createGraph({ name, nodes, edges, nodeParser, edgeParser });
    return graph;
}
