import { jsx as _jsx } from "preact/jsx-runtime";
// deck.gl-community
// SPDX-License-Identifier: MIT
// Copyright (c) vis.gl contributors
import { Component } from 'preact';
export class LongPressButton extends Component {
    buttonPressTimer = null;
    _repeat = () => {
        if (this.buttonPressTimer) {
            this.props.onClick();
            this.buttonPressTimer = setTimeout(this._repeat, 100);
        }
    };
    _handleButtonPress = () => {
        this.buttonPressTimer = setTimeout(this._repeat, 100);
    };
    _handleButtonRelease = () => {
        if (this.buttonPressTimer) {
            clearTimeout(this.buttonPressTimer);
        }
        this.buttonPressTimer = null;
    };
    render() {
        return (_jsx("div", { className: "deck-widget-button", children: _jsx("div", { style: {
                    pointerEvents: 'auto'
                }, onMouseDown: (event) => {
                    this._handleButtonPress();
                    document.addEventListener('mouseup', this._handleButtonRelease, { once: true });
                }, children: this.props.children }) }));
    }
}
